## net.sourceforge.pmd.cpd
Class TokenEntry

    java.lang.Object
      net.sourceforge.pmd.cpd.TokenEntry

All Implemented Interfaces:
  java.lang.Comparable

public class TokenEntry
extends java.lang.Object
implements java.lang.Comparable

Field Summary
`static TokenEntry` `EOF`

Constructor Summary
`TokenEntry(java.lang.String image, java.lang.String tokenSrcID, int beginLine)`

Method Summary
`static void` `clearImages()`
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object o)`
`int` `getBeginLine()`
`static TokenEntry` `getEOF()`
`int` `getIdentifier()`
`int` `getIndex()`
`java.lang.String` `getTokenSrcID()`
`int` `hashCode()`
`void` `setHashCode(int hashCode)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOF

    public static final TokenEntry EOF

Constructor Detail

### TokenEntry

    public TokenEntry(java.lang.String image,
                      java.lang.String tokenSrcID,
                      int beginLine)

Method Detail

### getEOF

    public static TokenEntry getEOF()

### clearImages

    public static void clearImages()

### getTokenSrcID

    public java.lang.String getTokenSrcID()

### getBeginLine

    public int getBeginLine()

### getIdentifier

    public int getIdentifier()

### getIndex

    public int getIndex()

### hashCode

    public int hashCode()

### setHashCode

    public void setHashCode(int hashCode)

### equals

    public boolean equals(java.lang.Object o)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Copyright © 2002-2006 InfoEther. All Rights Reserved.